LibOFX: LibofxContext Class Reference

- Main Page
- Namespaces
- Data Structures
- Files
- Related Pages

- Data Structures
- Class Hierarchy
- Data Fields

# LibofxContext Class Reference

## Detailed Description

Definition at line 25 of file context.hh.

## Public Member Functions
| LibofxContext ()
| ~LibofxContext ()
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)
LibofxFileFormat | currentFileType () const
void | setCurrentFileType (LibofxFileFormat t)
const std::string & | dtdDir () const
void | setDtdDir (const std::string &s)
int | statementCallback (const struct OfxStatementData data)
int | accountCallback (const struct OfxAccountData data)
int | transactionCallback (const struct OfxTransactionData data)
int | securityCallback (const struct OfxSecurityData data)
int | statusCallback (const struct OfxStatusData data)
void | setStatusCallback (LibofxProcStatusCallback cb, void *user_data)
void | setAccountCallback (LibofxProcAccountCallback cb, void *user_data)
void | setSecurityCallback (LibofxProcSecurityCallback cb, void *user_data)
void | setTransactionCallback (LibofxProcTransactionCallback cb, void *user_data)
void | setStatementCallback (LibofxProcStatementCallback cb, void *user_data)

The documentation for this class was generated from the following files:

- context.hh
- fx-0.9.1/lib/context.hh
- context.cpp
- fx-0.9.1/lib/context.cpp